import { HttpBackend, HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from "@angular/common/http";
import { InjectionToken } from '@angular/core';
import { ClientOptions } from "@tauri-apps/api/http";
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare const CLIENT_OPTIONS: InjectionToken<ClientOptions>;
export declare class TauriBackend implements HttpHandler {
    private document;
    private clientOptions?;
    private client?;
    constructor(document: Document, clientOptions?: ClientOptions | undefined);
    handle(req: HttpRequest<any>): Observable<HttpEvent<any>>;
    /**
     * The Tauri http module requires a record instead a Object-Map hybrid
     * @param map Object which has nearly the same behavior as a Map
     * @returns Object with the same key-value pairs as the Object-Map hybrid
     */
    private convertHttpHeadersToTauriRecords;
    /**
     * Maps the string representation to a tauri-enum response type
     */
    private toTauriResponseType;
    private getClient;
    static ɵfac: i0.ɵɵFactoryDeclaration<TauriBackend, [null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TauriBackend>;
}
/**
 * got this piece of code from https://github.com/angular/angular/blob/13.1.x/packages/common/http/src/interceptor.ts
 * and modified it a tiny bit
 */
export declare class HttpTauriInterceptorHandler implements HttpHandler {
    private next;
    private interceptor;
    constructor(next: HttpBackend, interceptor: HttpInterceptor);
    handle(req: HttpRequest<any>): Observable<HttpEvent<any>>;
}
