import { InjectionToken } from "@angular/core";
import { Child, ChildProcess, SpawnOptions } from "@tauri-apps/api/shell";
import { Observable } from "rxjs";
import * as i0 from "@angular/core";
export declare class ShellService {
    open(path: string, openWith?: string): Observable<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ShellService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ShellService>;
}
export declare const COMMAND_PROGRAMM_TOKEN: InjectionToken<string>;
export declare const COMMAND_ARGS_TOKEN: InjectionToken<string | string[]>;
export declare const COMMAND_OPTIONS_TOKEN: InjectionToken<SpawnOptions>;
export declare class CommandService {
    private command;
    constructor(program: string, args?: string | string[], options?: SpawnOptions);
    spawn(): Observable<ChildService>;
    execute(): Observable<ChildProcess>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CommandService, [null, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CommandService>;
}
export declare class ChildService {
    private child;
    constructor(child: Child);
    write(data: string | number[]): Observable<void>;
    kill(): Observable<void>;
}
